import React from "react";
import { Route, Routes } from "react-router-dom";
import PageNotFound from "./PageNotFound";
import NetworkContainer from "../../features/network/components/NetworkContainer";
import SystemContainer from "../../features/system/SystemContainer";
import SettingsContainer from "../../features/settings/SettingsContainer";
import DashboardContainer from "../../features/dashboard/DashboardContainer";
import UserProfileContainer from "../../features/user/profile/card/UserProfileContainer";
import AboutContainer from "../../features/about/AboutContainer";

const AppRoutes: React.FC = () => {
  return (
    <Routes>
      <Route path="/dashboard" element={<DashboardContainer />} />
      <Route path="/user-profile" element={<UserProfileContainer />} />
      <Route path="/machines" element={<NetworkContainer />} />
      <Route path="/system" element={<SystemContainer />} />
      <Route path="/settings" element={<SettingsContainer />} />
      <Route path="/about" element={<AboutContainer />} />
      <Route path="/*" element={<PageNotFound />} />
    </Routes>
  );
};

export default AppRoutes;
